"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

var _forEach = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/for-each"));

var _from = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/array/from"));

var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));

function createLogWithPrefixFn(logger, method, prefix) {
  return function () {
    var _context;

    const args = (0, _map.default)(_context = (0, _from.default)(arguments)).call(_context, arg => `${prefix} ${arg}`);
    (0, _forEach.default)(args).call(args, arg => logger[method](arg));
  };
}

const Utils = {
  createLoggerWithPrefix(embarkLogger, prefix) {
    const logger = {
      log: createLogWithPrefixFn(embarkLogger, 'log', prefix),
      warn: createLogWithPrefixFn(embarkLogger, 'warn', prefix),
      error: createLogWithPrefixFn(embarkLogger, 'error', prefix),
      info: createLogWithPrefixFn(embarkLogger, 'info', prefix),
      dir: createLogWithPrefixFn(embarkLogger, 'dir', prefix),
      debug: createLogWithPrefixFn(embarkLogger, 'debug', prefix)
    };
    return logger;
  }

};
module.exports = Utils;
//# sourceMappingURL=utils.js.map